<?php
/**
 *
 */

namespace Sikofitt\Config;

use Pimple\Container;
use Pimple\ServiceProviderInterface;
use Silex\Application;
use Noodlehaus\Config;

/**
 * Class ConfigServiceProvider
 * @package Sikofitt\Config
 */
class ConfigServiceProvider implements ServiceProviderInterface
{
    /**
     * @param Container $app
     */
    public function register (Container $app)
    {
        $app['config'] = function($app) {
            $config = Config::load($app['config.path']);
            return $config;
        };
    }
}